%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
%define uname   Osmo-DSP

Name:             libosmo-dsp
Summary:          A library with SDR DSP primitives
Version:          0.3
Release:          %mkrel 1
License:          GPLv2+
Group:            Communications
URL:              http://cgit.osmocom.org/libosmo-dsp/
Source0:          http://cgit.osmocom.org/libosmo-dsp/snapshot/%{name}-%{version}.tar.xz

BuildRequires:    autoconf
BuildRequires:    automake
BuildRequires:    libtool
BuildRequires:    doxygen
BuildRequires:    graphviz
BuildRequires:    %{_lib}fftw-devel

%description
A library with SDR DSP primitives.

%package -n %{libname}
Summary:          A library with SDR DSP primitives
Group:            System/Libraries

%description -n %{libname}
Library files for libosmo-dsp.

%package -n %{devname}
Summary:          Development files for libosmo-dsp
Group:            Development/Libraries
Requires:         %{libname} = %{version}-%{release}
Provides:         %{name}-devel = %{version}-%{release}
Provides:         osmo-dsp-devel = %{version}-%{release}

%description -n %{devname}
Development files for libosmo-dsp.

%package doc
Summary:          Documentation for osmo-dsp
Group:            Documentation
BuildArch:        noarch

%description doc
HTML documentation for osmo-dsp.

%prep
%setup -q
autoreconf -fi

%build
%configure2_5x --disable-static

%make LDFLAGS="${LDFLAGS} -lm"

%install
rm -rf %buildroot
%makeinstall_std

# remove libtool
rm -f %{buildroot}%{_libdir}/*.la

# fix docs location
mkdir -p %{buildroot}%{_docdir}/%{name}
mv %{buildroot}%{_datadir}/doc/libosmodsp %{buildroot}%{_docdir}/%{name}/html

cat > %{name}-doc.desktop << EOF
[Desktop Entry]
Version=1.0
Name=%{uname} Documentation
GenericName=%{uname} Documentation
Exec=xdg-open /usr/share/doc/%{name}/html/index.html
Icon=
Terminal=false
Type=Application
Categories=System;Documentation
EOF

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications %{name}-doc.desktop

%files -n %{libname}
%doc AUTHORS
%{_libdir}/*.so.%{major}*

%files -n %{devname}
%{_includedir}/osmocom
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files doc
%dir %{_docdir}/%{name}/html
%{_docdir}/%{name}/html/*
%{_datadir}/applications/%{name}-doc.desktop


%changelog
* Sun Jan 10 2016 bb <bb> 0.3-1pclos2016
- import from france
